Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.dnd
Interface DNDProperty

    public interface DNDProperty

A DNDProperty can be associated with either a "drag object" or a "drop zone". DNDPropertys are used to perform type matching for DNDAreas and the properties provided by the DNDPropertys are submitted to the action of a DNDTarget.

Since:
  6.0

Method Summary
`java.lang.String` | `getName()` Returns the name of the parameter as it will appear in the request for the value of this DNDProperty.
`java.lang.String` | `getNamespace()` Returns the namespace for this DNDProperty.
`java.lang.String` | `getType()` Returns the type for this DNDProperty.
`java.lang.Object` | `getValue()` Returns the value associated with this DNDProperty.

Method Detail

### getNamespace

    java.lang.String getNamespace()

  Returns the namespace for this DNDProperty. This is used in combination with with the "type" field to match drag objects with drop zones on the client. This will not be null. Also, please note that the "wp" and "wcs" namespaces are reserved for internal use by Portal and Workplace.

  Returns:
    the namespace for this DNDProperty

### getType

    java.lang.String getType()

  Returns the type for this DNDProperty. This is used in combination with with the "namespace" field to match drag objects with drop zones on the client. This will not be null.

  Returns:
    the type for this DNDProperty

### getName

    java.lang.String getName()

  Returns the name of the parameter as it will appear in the request for the value of this DNDProperty. This value may be null.

  Returns:
    the parameter name

### getValue

    java.lang.Object getValue()

  Returns the value associated with this DNDProperty. This value may be null.

  Returns:
    the value for this DNDProperty

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD